<?php

get_header(); ?>

<?php 
while ( have_posts() ) : the_post(); 

$vs_page_headline = get_post_meta( $post->ID, 'vs_page_headline', true ); if($vs_page_headline == ''){$vs_page_headline = 'This is the headline';}
$mmvs_trainer_images = get_post_meta( $post->ID, 'mmvs_trainer_images', true ); if($mmvs_trainer_images == ''){$mmvs_trainer_images = array(plugin_dir_url( __FILE__ ) .'/img/fotokurstrainer.jpg');}
$mmvs_price_text = get_post_meta( $post->ID, 'mmvs_price_text', true ); if($mmvs_price_text == ''){$mmvs_price_text = 'Achtung! Dies ist ein Launchangebot';}
$mmvs_price = get_post_meta( $post->ID, 'mmvs_price', true ); if($mmvs_price == ''){$mmvs_price = '€79';}
$mmvs_desc = get_post_meta( $post->ID, 'mmvs_desc', true ); if($mmvs_desc == ''){$mmvs_desc = '';}
$mmvs_course_details = get_post_meta( $post->ID, 'mmvs_course_details', true );
$mmvs_btn_url = get_post_meta( $post->ID, 'mmvs_btn_url', true ); if($mmvs_btn_url == ''){$mmvs_btn_url = '#';}
$mmvs_course_details_headline = get_post_meta( $post->ID, 'mmvs_course_details_headline', true );
$mmvs_trainer_img_headline = get_post_meta( $post->ID, 'mmvs_trainer_img_headline', true ); if($mmvs_trainer_img_headline == ''){$mmvs_trainer_img_headline = 'Ihr Video Kurs Trainer';}
$mmvs_video_titles = get_post_meta( $post->ID, 'mmvs_video_titles', true );
$mmvs_video_id = get_post_meta( $post->ID, 'mmvs_video_id', true ); if($mmvs_video_id == ''){$mmvs_video_id = '167240374';}
$mmvs_video_poster = get_post_meta( $post->ID, 'mmvs_video_poster', true ); if($mmvs_video_poster == ''){$mmvs_video_poster = MMVS_PLUGIN_URL.'/img/default-poster-image.png';}
$mmvs_video_hoster = get_post_meta( $post->ID, 'mmvs_video_hoster', true ); if($mmvs_video_hoster == ''){$mmvs_video_hoster = 'vimeo';}
$mmvs_video_autoplay = get_post_meta( $post->ID, 'mmvs_video_autoplay', true );
$mmvs_video_privacy = get_post_meta( $post->ID, 'mmvs_video_privacy', true );
$mmvs_video_title_headline = get_post_meta( $post->ID, 'mmvs_video_title_headline', true ); if($mmvs_video_title_headline == ''){$mmvs_video_title_headline = 'Video Titel:';}
$mmvs_btn_delay = get_post_meta( $post->ID, 'mmvs_btn_delay', true );
$mmvs_countdown = get_post_meta( $post->ID, 'mmvs_countdown', true );
$mmvs_social_counter = get_post_meta( $post->ID, 'mmvs_social_counter', true );
$mmvs_exit_popup_onOff = get_post_meta( $post->ID, 'mmvs_exit_popup_onOff', true );
$mmvs_exit_popup_heading1 = (get_post_meta( $post->ID, 'mmvs_exit_popup_heading1', true ) != '') ? get_post_meta( $post->ID, 'mmvs_exit_popup_heading1', true ) : 'Ihr Produkt Rabatt';
$mmvs_exit_popup_heading2 = (get_post_meta( $post->ID, 'mmvs_exit_popup_heading2', true ) != '') ? get_post_meta( $post->ID, 'mmvs_exit_popup_heading2', true ) : 'Spare heute 7€';
$mmvs_exit_popup_btn_text = (get_post_meta( $post->ID, 'mmvs_exit_popup_btn_text', true ) != '') ? get_post_meta( $post->ID, 'mmvs_exit_popup_btn_text', true ) : 'Jetzt kaufen';
$mmvs_exit_popup_btn_url = (get_post_meta( $post->ID, 'mmvs_exit_popup_btn_url', true ) != '') ? get_post_meta( $post->ID, 'mmvs_exit_popup_btn_url', true ) : '#';

?>

<div id="main">
	<div id="page_theme">
		<div class="page-header-top">
			<div class="container">
				<h1><span id="thing_name" itemprop="name"><?php echo $vs_page_headline;?></span></h1>
			</div>
		</div>
		<div class="container">
			<div class="row">
				<div class="col-md-12">
					
					<div class="wrapper">
						<div class="row">
							<div class="col-sm-12 col-lg-9">
								<div class="product_main">
									<div class="product">
										<div class="inner">
											<div class="mmvs_image">
												<?php
													if($mmvs_video_id != '' && $mmvs_video_hoster != ''){
														if($mmvs_video_hoster == 'vimeo'){
														?>
														<div class="mmvs_main_video">
															<?php 
																if($mmvs_video_privacy == 'yes'){
																	
																	if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
																?>
																	<div class="plyr__video-embed" id="player">
																		<iframe src="https://player.vimeo.com/video/<?php echo $mmvs_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
																	</div>
																<?php
																	}else{
																?>	
																	<div class="mmvs_header_without_cookie">
																		<img src="<?php echo $mmvs_video_poster;?>" alt="" />
																		<div class="mmvs_default_text_warning">
																			<p class="mmvs_default_play_btn"><a href="#"><img src="<?php echo MMVS_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
																			<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
																			<p>Das Video wird eingebettet von Vimeo.com abgespielt. Es werden Cookies von Vimeo gesetzt. </p>
																			<p>Mehr zu den Cookies in der <a target="_blank" href="https://vimeo.com/privacy">Privacy Policy</a> von Vimeo und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
																		</div>
																	</div>
																<?php
																	}
																}
																else{ ?>
																	<div class="plyr__video-embed" id="player">
																		<iframe src="https://player.vimeo.com/video/<?php echo $mmvs_video_id;?>?loop=false&amp;byline=false&amp;portrait=false&amp;title=false&amp;speed=true&amp;transparent=0&amp;gesture=media" allowfullscreen allowtransparency allow="autoplay"></iframe>
																	</div>
															<?php		
																}
															?>
														</div>
														<?php 
														}elseif($mmvs_video_hoster == 'youtube'){
														?>
														
														<div class="mmvs_main_video">
															<?php 
																if($mmvs_video_privacy == 'yes'){
																	
																	if(isset($_GET['vcookie']) && $_GET['vcookie'] == 'yes' ){
																?>
																	<div class="plyr__video-embed" id="player">
																		<iframe src="https://www.youtube.com/embed/<?php echo $mmvs_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
																	</div>
																<?php
																	}else{
																?>	
																	<div class="mmvs_header_without_cookie">
																		<img src="<?php echo $mmvs_video_poster;?>" alt="" />
																		<div class="mmvs_default_text_warning">
																			<p class="mmvs_default_play_btn"><a href="#"><img src="<?php echo MMVS_PLUGIN_URL.'/img/default-play-btn.png';?>" alt="Play" /></a></p>
																			<p>Klicken Sie auf den Play-Button um das Video nachzuladen.</p>
																			<p>Das Video wird eingebettet von YouTube.com abgespielt. Es werden Cookies von YouTube gesetzt.</p>
																			<p>Mehr zu den Cookies in der <a target="_blank" href="https://www.google.de/intl/de/policies/privacy">Privacy Policy</a> von YouTube und der <a target="_blank" href="<?php echo site_url();?>/datenschutz/">Datenschutzerklärung</a> auf dieser Seite.</p>
																		</div>
																	</div>
																<?php
																	}
																}
																else{ ?>
																	<div class="plyr__video-embed" id="player">
																		<iframe src="https://www.youtube.com/embed/<?php echo $mmvs_video_id;?>?origin=https://plyr.io&amp;iv_load_policy=3&amp;modestbranding=1&amp;playsinline=1&amp;showinfo=0&amp;rel=0&amp;enablejsapi=1" allowtransparency allow="autoplay"></iframe>
																	</div>
															<?php		
																}
															?>
															
														</div>
														<?php	
														}
							
													}
												?>
											</div>
											<div class="tab-content">
												<div class="active tab-pane" id="description">
													<?php
														if($mmvs_desc!='') $content = apply_filters( 'the_content', $mmvs_desc ); echo $content;
													?>
													<?php
														if($mmvs_video_titles != ''){
															echo '<p><strong>'.$mmvs_video_title_headline.'</strong></p>';
															echo '<ul>';
															foreach($mmvs_video_titles as $mmvs_video_title){
																echo '<li>'.$mmvs_video_title.'</li>';
															}
															echo '</ul>';
														}
													?>
												</div>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="col-sm-12 col-lg-3">
								<div class="product_info">
									<p style="text-align: center;"><?php echo $mmvs_price_text;?></p>
									<a id="buynow" class="btn btn-primary btn-xlarge" href="<?php echo $mmvs_btn_url;?>" style=""><span id="offer_price" itemprop="price"><?php echo $mmvs_price;?></span> <span class="buynow_text">Jetzt kaufen »</span></a>
									
									<div class="buynow_bottom_area">
										<?php
											if($mmvs_countdown != ''){
												echo '<div class="mmvs_countdown">'.$mmvs_countdown.'</div>';
											}
										?>
										<?php 
											if(!empty($mmvs_course_details)){
												echo '<div class="info_wrapper">';
												echo '<p class="sidebar_title">'.$mmvs_course_details_headline.'</p>';
												$mmvs_course_count = '1';
												echo '<table class="attributes zebra-striped"><tbody>';
												foreach($mmvs_course_details as $key=>$val){
													$mmvs_course_details_arr = explode('|||', $val);
													$mmvs_course_detail_title = $mmvs_course_details_arr['0'];
													$mmvs_course_detail_desc = $mmvs_course_details_arr['1']; ?>
													
													<tr <?php if($mmvs_course_count == '1'){echo 'class="first"';} ?>><td class="key"><strong><?php echo $mmvs_course_detail_title;?></strong></td><td class="value"><?php echo $mmvs_course_detail_desc;?></td></tr>
													
										<?php
											$mmvs_course_count++;	
												}
											echo '</tbody></table>';	
											echo '</div>';
											}	
										
										?>
										
										<?php
											if(isset($mmvs_social_counter) && !empty($mmvs_social_counter)){
												echo '<div class="social_proof_counter_area">'.$mmvs_social_counter.'</div>';
											}
										?>
								   
									<!--<p class="item_cs_header"><?php echo $mmvs_trainer_img_headline;?></p>-->
									<?php
										if($mmvs_trainer_images != ''){
											foreach($mmvs_trainer_images as $mmvs_trainer_image){
												echo '<div class="item_cs"><img src="'.$mmvs_trainer_image.'" width="254" height="152"></div>';
											}
										}
									?>
									</div>
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div>
</div>

	<!-- exit popup code -->

	<button style="display: none;" class="mmvs_btn_open_exit_popup">Frank Noack</button>
	<div class="exit_modal mmvs_exit_popup_modal">
		<div class="exit_modal_header">
			<div class="exit_container">
				<center><h1><?php echo $mmvs_exit_popup_heading1;?></h1></center>
				<svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" class="close">
					<path d="M505.943 6.058c-8.077-8.077-21.172-8.077-29.25 0L6.06 476.693c-8.077 8.077-8.077 21.172 0 29.25 4.038 4.04 9.332 6.057 14.625 6.057 5.293 0 10.586-2.02 14.625-6.06L505.943 35.307c8.076-8.076 8.076-21.17 0-29.248z"/>
					<path d="M505.942 476.694L35.306 6.06C27.23-2.02 14.134-2.02 6.058 6.06c-8.077 8.075-8.077 21.17 0 29.247l470.636 470.636c4.038 4.04 9.332 6.058 14.625 6.058 5.292 0 10.586-2.018 14.623-6.056 8.075-8.078 8.075-21.173 0-29.25z"/>
				</svg>
			</div>
		</div>
		<div class="exit_modal_body">
			<div class="exit_container">
				<center><img src="<?php echo plugin_dir_url( __FILE__ ) .'/img/arrow-silver-1.png';?>" alt="arrow silver" /></center>
				<center><h1><?php echo $mmvs_exit_popup_heading2;?></h1></center>
			</div>
		</div>
		<div class="exit_modal_footer" style="text-align: center;">
			<div class="exit_container">
				<a href="<?php echo $mmvs_exit_popup_btn_url;?>" class="mmvs_btn_cancel btn btn-primary"><?php echo $mmvs_exit_popup_btn_text;?></a>
			</div>
		</div>
	</div>
	<div class="exit_modal_overlay"></div>	
	
<?php endwhile; ?>
<script type='text/javascript' src="<?php echo plugin_dir_url( __FILE__ ) .'js/jquery.min.js';?>"></script>

<?php if($mmvs_exit_popup_onOff == 'on'){?>
	<!-- exit popup script -->
<script type="text/javascript">
const btnOpenModal = document.querySelector(".mmvs_btn_open_exit_popup");
const modal = document.querySelector(".mmvs_exit_popup_modal");
const close = document.querySelector(".close");

btnOpenModal.addEventListener("click", function(){
    modal.classList.add("is_open");
})

close.addEventListener("click", function(){
    modal.classList.remove("is_open");
})

jQuery(document).ready(function(){
	var oldPosition = -1;
	var reload = true;
	var mmvs_exitPopup_count = 'mmvs_exitPopup_count_<?php echo get_the_ID(); ?>';
	
	if(!localStorage.getItem(mmvs_exitPopup_count)) localStorage.setItem(mmvs_exitPopup_count, '0');
	
	jQuery(document).mousemove(function(e) {
		
		var position = e.pageY - jQuery(window).scrollTop();
		if(position < 5){
			if(oldPosition != -1){
				if(position < oldPosition){
					if(reload && (localStorage.getItem(mmvs_exitPopup_count) < 3)){
						jQuery('.mmvs_btn_open_exit_popup').trigger('click');
						reload = false;
						var updated_count = parseInt(localStorage.getItem(mmvs_exitPopup_count)) + 1;
						localStorage.setItem(mmvs_exitPopup_count, updated_count);
					}
				}
				oldPosition = position;
			}else{
				oldPosition = position;
			}
		}	
		else {
			oldPosition = -1;
		}

	});

})
</script>
<?php }?>

<script type="text/javascript">
jQuery(document).ready(function(){
	<?php
		if($mmvs_video_autoplay == 'yes'){?>
		var plyr_options = { autoplay: true};
	<?php	
		}else{?>
		var plyr_options = {};
	<?php	
		}
	?>
	//plyr.setup('.mmvs_main_video', plyr_options);
})
</script>
<?php if($mmvs_btn_delay != ""){?>
<script type="text/javascript">
jQuery(window).load(function(){
	var delaying = '<?php echo $mmvs_btn_delay;?>000';
	setTimeout(function(){ 
		  $( "#buynow" ).animate({
			opacity: 1,
			top: "0"
		  }, 1000, function() {});
		  $( ".buynow_bottom_area" ).animate({
			top: "0"
		  }, 1000, function() {});
	}, delaying);
})
</script>
<?php 
} 
else{?>
<style type="text/css">
#buynow {
  opacity: 1;
  top: 0;
}
.buynow_bottom_area {
  top: 0;
}
</style>
<?php	
}
?>
<style type="text/css">
body {
  padding-top: 0 !important;
}
nav.navbar {
  display: none;
}
.fixedtop_content_push {
  height: 0;
}
</style>


<?php get_footer(); ?>
