jQuery(document).ready(function($){

	jQuery('.mmvs_trainer_img_sortable').find('.mmvs_trainer_image_trigger').live('click', function( event ){
		event.preventDefault();
		var file_frame_trimg;
		var self = jQuery( this );
		
		if ( file_frame_trimg ) {
			file_frame_trimg.open();
			return;
		}
		file_frame_trimg = wp.media.frames.file_frame_trimg = wp.media({
			title: jQuery( this ).data( 'uploader_title' ),
			button: {
				text: jQuery( this ).data( 'uploader_button_text' ),
			},
			multiple: false
		});
		file_frame_trimg.on( 'select', function() {
			var attachment = file_frame_trimg.state().get('selection').first().toJSON();
			
			jQuery( self).prev('input').val(attachment.url);
			jQuery('.media-modal-close').trigger('click');
		});
		file_frame_trimg.open();
	});
	
		// course links sortable
	jQuery( ".mmvs_course_details_sortable" ).sortable({
		axis: 'y',
		change: function( event, ui ){
		
		},
		update: function(event, ui) {
			var sortedIDs = jQuery( this ).sortable( "toArray", {attribute: 'data-serial'} );
		}
	});
		// add course link row
	jQuery('#add_mmvs_course_link').click(function(e){
		e.preventDefault();
		var currIng = jQuery(this).closest('table').find('tbody').find('tr').length;
		jQuery(this).closest('table').find('tbody').append('<tr data-serial="'+currIng+'" class="ui-state-default"><td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td><td><p><span>Title</span><input type="text" name="mmvs_course_detail_title[]" value="" /></p><p><span>Description</span><input type="text" name="mmvs_course_detail_desc[]" value="" /></p></td><td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_course_link" href="#"></a></td></tr>');
	});
	
		// remove course link row
	jQuery('body').on('click', '.remove_mmvs_course_link', function(e){
		e.preventDefault();
		jQuery(this).closest('tr').remove();
	});
	
		// video titles sortable
	jQuery( ".mmvs_video_title_sortable" ).sortable({
		axis: 'y',
		change: function( event, ui ){
		
		},
		update: function(event, ui) {
			var sortedIDs = jQuery( this ).sortable( "toArray", {attribute: 'data-serial'} );
		}
	});
		// add video title row
	jQuery('#add_mmvs_video_title').click(function(e){
		e.preventDefault();
		var currIng = jQuery(this).closest('table').find('tbody').find('tr').length;
		jQuery(this).closest('table').find('tbody').append('<tr data-serial="'+currIng+'" class="ui-state-default"><td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td><td><p><span>Title</span><input type="text" name="mmvs_video_titles[]" value="" /></p></td><td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_video_title" href="#"></a></td></tr>');
	});
	
		// remove video title row
	jQuery('body').on('click', '.remove_mmvs_video_title', function(e){
		e.preventDefault();
		jQuery(this).closest('tr').remove();
	});
	
		// trainer image sortable
	jQuery( ".mmvs_trainer_img_sortable" ).sortable({
		axis: 'y',
		change: function( event, ui ){
		
		},
		update: function(event, ui) {
			var sortedIDs = jQuery( this ).sortable( "toArray", {attribute: 'data-serial'} );
		}
	});
		// add video title row
	jQuery('#add_mmvs_trainer_img').click(function(e){
		e.preventDefault();
		var currIng = jQuery(this).closest('table').find('tbody').find('tr').length;
		jQuery(this).closest('table').find('tbody').append('<tr data-serial="'+currIng+'" class="ui-state-default"><td><span class="ui-icon ui-icon-arrowthick-2-n-s"></span></td><td><input type="text" value="" id="" name="mmvs_trainer_images[]"><input style="width: auto;" class="mmvs_upload_btn button mmvs_trainer_image_trigger" type="button" id="" value="Upload"></td><td style="text-align:center;"><a class="recipe_btn_remove remove_mmvs_trainer_img" href="#"></a></td></tr>');
	});
	
		// remove video title row
	jQuery('body').on('click', '.remove_mmvs_trainer_img', function(e){
		e.preventDefault();
		jQuery(this).closest('tr').remove();
	});

})